> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/shi-jian.md).

# 事件

这是订阅在原生端发生的事件的事件总线。所有总线都 `addEventListener(event, { onEvent, onError?, options? })` 形式，调用返回的函数即可取消订阅。

### API 列表

| API                                                                                | 说明                                    |
| ---------------------------------------------------------------------------------- | ------------------------------------- |
| [`graniteEvent`](/documentation/api-and-sdk-zh/sdk/shi-jian/graniteevent.md)       | 系统导航事件（`backEvent` · `homeEvent`)     |
| [`tdsEvent`](/documentation/api-and-sdk-zh/sdk/shi-jian/tdsevent.md)               | TDS 导航栏事件（`navigationAccessoryEvent`) |
| [`appsInTossEvent`](/documentation/api-and-sdk-zh/sdk/shi-jian/appsintossevent.md) | Appintos 预约事件（当前没有已注册事件）              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/shi-jian.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
